##############################################################################
# $ApsCVS: src/apsfilter/template/apsfilterrc.in,v 1.42.2.8 2002/11/09 16:54:28 andreas Exp $
#
# Sample apsfilter template file for apsfilter @VERSION@
#
# This file is for customizing apsfilter's behaviour
# Enables you to configures some aspects of apsfilter to fit your own needs.
#
#
# Possible locations for configuration files:
#
# a) global configuration for all printers: $CONF_DIR/apsfilterrc
# b) printer specific: $CONF_DIR/$QUEUE/apsfilterrc
# c) printer specific, supplied by user: $CONF_DIR/$QUEUE/apsfilterrc.$USER
# d) printer specific, controlled by user: ~$USER/.apsfilter/apsfilterrc.$QUEUE
#    (admin must set USE_USER_CODE for this to be used)
##############################################################################

#=============================================================================
# apsfilter specific configuration
#=============================================================================

# include special paths you need
# default: PATH="/usr/local/bin:/usr/X11R6/bin:/usr/bin:/bin"
#
#PATH="/opt/bin:/usr/openwin/bin:/usr/local/bin:/usr/X11R6/bin:/usr/bin:/bin"

# change this if your awk chokes on our programs and/or command line options
# default: AWK=awk
#
#AWK=/opt/gnu/bin/gawk

# who is to be notified in case of a failure
# default: NOTIFY=root
#
#NOTIFY=lp

# directory for temporary file creation
# default: TMPDIR=/tmp
#
#TMPDIR=/var/tmp

###
### WARNING !
###
### This setting allows users to provide configuration in a shell script;
### do _not_ set this if the input filter runs under a privileged user.
###
### To be on the safe side, you can also create user-specific config files
###	$CONF_DIR/$QUEUE/apsfilterrc.$USER
### which contain settings that have been inspected by the administrator.
###
# default: USE_USER_CODE=""
#
#USE_USER_CODE=set


#=============================================================================
# printer independent configuration
#=============================================================================

# search path for embedded images used by dvips; this path will be extended
# by "$HOME:/tmp:/var/tmp" (where $HOME is the home directory of the user)
# default: TEXINPUTS=""
#
#TEXINPUTS=/usr/accounts/andreas/pictures:/usr/share/dvips/pictures

# set this of your MakeTeXPK tool works correctly
# default: HAVE_MAKETEXPK=""
#
#HAVE_MAKETEXPK=set

# dvips option for setting the resolution
# default: DVIPS_RES_DorP=-D
#
#DVIPS_RES_DorP=-P

# ghostscript environment variables
# defaults:
#  GS_FONTPATH="/usr/X11R6/lib/X11/fonts/Type1:/var/X11R6/lib/X11/fonts/Type1"
#  GS_LIB="$GS_FONTPATH"
#
#GS_FONTPATH=/usr/X11R6/lib/X11/fonts/Type1
#GS_LIB=/usr/X11R6/lib/X11/fonts/Type1

# set this if your (remote) print jobs are erroneously sent in "raw" mode
# default: IGNORE_LPD_RAW=""
#
#IGNORE_LPD_RAW=set


#============================================================================
# printer dependent configuration
# (these should go into the printer specific apsfilterrc)
#============================================================================

# media type; one of plain, coated, glossy, premium, trans
# default: MEDIA="plain"
#
#MEDIA=coated

# whether to print uni- or bi-directional
# default: SWEEP=bi
#
#SWEEP=uni

# custom DVI-to-PrinterLanguage filter (stdin->stdout)
# default: PRINT_DVI="" -> will use dvips
#
#PRINT_DVI='/usr/local/bin/my_super_filter -X -Y -Z -'

# escape sequences to be sent before/after a "raw" print job
# defaults:
#  RAW_PROLOGUE=""
#  RAW_EPILOGUE=""
#
#RAW_PROLOGUE='\033&k2G\033(s2Q\033&k5W\033&l0L\033&a7L\033(s12H'
#RAW_EPILOGUE='\014'

# escape sequences to be sent before/after text output via "recode"
# (in addition to the RAW_PROLOGUE and RAW_EPILOGUE stuff)
# defaults:
#  RECODE_PROLOGUE=""
#  RECODE_EPILOGUE=""
#
# these are examples for the LaserJet/DeskJet/PaintJet family
#RECODE_PROLOGUE='\033E\033&k2G\033(0N'
#RECODE_EPILOGUE='\033E'
# these are examples for the newer Stylus models (probably 740 and later)
#RECODE_PROLOGUE='\000\000\000\033\001@EJL 1284.4\012@EJL     \012\033@\033@'
#RECODE_EPILOGUE='\033@'

# codes (printf-style) to create a single blank page
# default: BLANK_PAGE='\012\014'
#
#BLANK_PAGE='\033@'

# ghostscript options; will be altered by quality/color/... settings
# default: GS_FEATURES=""
#
#GS_FEATURES='-dBitsPerPixel=32 -dMicroweave -sDithering=fscmyk'

# printer initialisation (used by gs)
# default: PS_INIT=""
#
#PS_INIT=stcolor.ps

# printer cleanup (used by gs)
# default: PS_EXIT=""
#
#PS_EXIT=showpage.ps

# options for the POST_FILTER (called after gs processing)
# default: POST_FILTER_OPTS=""
#
#POST_FILTER_OPTS='-f /etc/my_pnm2ppa.conf'

# printer is a duplex capable printer
# default: HARDWARE_DUPLEX=""
#
#HARDWARE_DUPLEX=set

# disable duplex printing; only needed if HARDWARE_DUPLEX is empty _and_ if
# apsfilter doesn't run on the local host
# default: DISABLE_DUPLEX=""
#
#DISABLE_DUPLEX=set

# set these if even/odd pages should be reversed for fake duplex mode,
# and control whether the odd pages should be printed first
# defaults:
#  DUPLEX_REVERSE_EVEN=""
#  DUPLEX_REVERSE_ODD=""
#  DUPLEX_ODD_FIRST=""
#
#DUPLEX_REVERSE_EVEN=set
#DUPLEX_REVERSE_ODD=set
#DUPLEX_ODD_FIRST=set

# papertray selection
# default: PAPERTRAY=""
#> class options: tray0, ..., tray9
#
#PAPERTRAY=1

# maximum number of copies printed via "lpr -C copies=42" or "lpr -Zcopies=42";
# this is independent of the "-#" and "-K" switches to lpr
# default: MAXCOPIES=10
#
#MAXCOPIES=1

# printer is capable of printing multiple copies
# default: HARDWARE_COPIES=""
#
#HARDWARE_COPIES=set

# copies should be done at the remote server (if possible);
# currently for NetWare and lpd servers
# default: REMOTE_COPIES=set
#
#unset REMOTE_COPIES


#============================================================================
# visual appearance of the printout
#============================================================================

# filter for ASCII files; one of a2ps, mpage, enscript, recode
# default: ASCII_FILTER=a2ps
#> class options: a2ps, mpage, enscript, recode
#
#ASCII_FILTER=recode

# override a2ps default options
# defaults:
#  A2PS_BASIC="--delegate=no -X iso1"
#  A2PS_PAPERSIZE="$PAPERSIZE" (case-corrected)
#
#don't format troff documents, by Joerg Wunsch <joerg@apsfilter.org>
#A2PS_BASIC='-Eplain'
#A2PS_PAPERSIZE=Letter
#A2PS_PAPERSIZE=A4stylus

# override the complete a2ps commandline
# default: A2PS_OPTS=""
#
#A2PS_OPTS='-X iso1 -m --borders=yes --prologue=color --highlight-level=heavy'

# override mpage default options
# defaults:
#  MPAGE_BASIC="-CISO-Latin.1 -f"
#  MPAGE_PAPERSIZE="$PAPERSIZE" (case-corrected)
#
#MPAGE_BASIC='-CISO-Latin.2 -f'
#MPAGE_PAPERSIZE=Letter
#MPAGE_PAPERSIZE=A4

# override the complete mpage commandline
# default: MPAGE_OPTS=""
#
#MPAGE_OPTS='-CISO-Latin.2 -a -e -r'

# override enscript default options
# defaults:
#  ENSCRIPT_BASIC="-X 88591"
#  ENSCRIPT_PAPERSIZE="$PAPERSIZE" (case-corrected)
#
#ENSCRIPT_BASIC='-C 88592'
#ENSCRIPT_PAPERSIZE=Letter
#ENSCRIPT_PAPERSIZE=A4

# override the complete enscript commandline
# default: ENSCRIPT_OPTS=""
#
#ENSCRIPT_OPTS='-X 88592 -r --ps-level=1'

# set level of pretty-printing (0=none, 1=normal, 2=heavy)
# the text-to-PostScript converter must support this
# default: PRETTY_PRINTING=1
#> class options: pretty=0, pretty=1, pretty=2
#
#PRETTY_PRINTING=0

# print headers and borders for ASCII files
# defaults:
#  ASCII_HEADER=""
#  ASCII_BORDER=""
#> class options: header, noheader, border, noborder
#
#ASCII_HEADER=set
#ASCII_BORDER=set

# multiple pages per sheet (can be 1,2,4,8)
# default: PS_NUP=1
#> class options: 1pps, 2pps, 4pps, 8pps
#
#PS_NUP=2
#
# same setting, but for ASCII files only
# default: ASCII_PPS="$PS_NUP"
#
#ASCII_PPS=2

# force paper orientation
# default: LANDSCAPE=""
#> class options: landscape, portrait
#
#LANDSCAPE=set
#
# same setting, but for ASCII files only
# default: ASCII_LANDSCAPE="$LANDSCAPE"
#
#ASCII_LANDSCAPE=set

# override htmldoc options
# default: HTMLDOC_OPTS="--webpage"
#
#HTMLDOC_OPTS='--book --charset 8859-2 --no-title'

# override html2ps options
# default: HTML2PS_OPTS="-e ISO-8859-1 -u -H"
#
#HTML2PS_OPTS='-e ISO-8859-2 -u -H'

# override recode options
# default: RECODE_OPTS="latin1..ibmpc"
#
#RECODE_OPTS='latin1..cp437'

# use pstools to alter the PostScript printout
# defaults:
#  PS_BOOK=""
#  PS_UTILS=""
#> class options: book
#
#PS_BOOK=set
#PS_UTILS='psselect -r'

# duplex printing (will be "faked" if printer can't handle this by itself)
# default: DUPLEX=""
#> class options: duplex, simplex
#
#DUPLEX=set

# binding edge; must be long or short
# default: BINDING=long
#> class options: shortbind, longbind
#
#BINDING=short
